Bug 71305 - scrolling prints blank for every non-ascii char
scrolling prints blank for every non-ascii char
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Depends On:
  Show dependency treegraph
Reported: 2002-08-12 05:29 EDT by Daniel Resare
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-27 15:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the ugly gnome startup sound with swedish chars in title (33.35 KB, application/x-ogg)
2002-08-12 05:30 EDT, Daniel Resare
no flags Details

  None (edit)
Description Daniel Resare 2002-08-12 05:29:27 EDT
Description of Problem:
starting with limbo xmms has stopped displaying non-ascii chars in the scrolling
text of the main window. If you right-click on the tite and select 'File info'
you get the name correctly with non-ascii chars.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. download and play the attached ogg
2. watch the scrolling song title
3. watch the title in the file info dialog

Actual Results:
in the scrolling text all non-ascii chars are replaced by blank

Additional Information:
the problem is reproducible in locales sv_SE.UTF-8 and en_US
Comment 1 Daniel Resare 2002-08-12 05:30:48 EDT
Created attachment 69984 [details]
the ugly gnome startup sound with swedish chars in title
Comment 2 Bill Nottingham 2002-08-14 01:52:54 EDT
It's almost certainly interpreting the file title as unicode. What locale are
you running in?
Comment 3 Daniel Resare 2002-08-15 05:22:18 EDT
As i stated above the problem is reproducible in at least locales sv_SE.UTF-8
and en_US (which seems to default to ISO-8859-1). In the C locale (that has
charset ANSI_X3.4-1968, that is US-ASCII) no non-ascii characters gets
displayed, neither in the scrolltext or in the File info dialog, which is logical.
Comment 4 Colin Walters 2004-09-27 15:26:57 EDT
Confirmed and moved upstream here:

Note You need to log in before you can comment on or make changes to this bug.